package test.weld.gradle;

import javax.annotation.PostConstruct;
import javax.inject.Inject;
import javax.inject.Singleton;

import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;
import test.weld.gradle.machines.fsm.FSMTypes;

@Singleton
public class Main {
    @Inject
    private SymbolMonitor symbolMonitor;
    @Inject
    private IStrategy strategy;

    public Main() {
        System.out.printf("Main.ctor, symbolMonitor=%s\n", symbolMonitor);
    }
    @PostConstruct
    private void init() {
        System.out.printf("Main.init, symbolMonitor=%s, strategy=%s\n", symbolMonitor, strategy);
    }

}
