package test.weld.gradle;

import java.lang.reflect.Type;
import java.util.Set;

import javax.enterprise.event.Observes;
import javax.enterprise.inject.spi.Bean;
import javax.enterprise.inject.spi.Extension;
import javax.enterprise.inject.spi.ProcessBean;

/**
 * Created by starksm on 9/27/15.
 */
public class MyExtension implements Extension {
    <T> void processBean(@Observes ProcessBean<T> bean) {
        String beanClassName = bean.getBean().getBeanClass().getName();
        if(beanClassName.endsWith("FSMFactory")) {
            System.out.printf("processBean: %s\n", bean.getBean());
            Bean kstBean = bean.getBean();
            Set<Type> types = kstBean.getTypes();
            System.out.printf("FSMFactory.types:%s\n", types);
        }
    }
}
