package test.weld.gradle;

import javax.enterprise.inject.Instance;

import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;

public class Bootstrap {
    public static void main(String[] args) {
        /*
        MyWeld weld = new MyWeld();
        weld.addBeanClass(Main.class);
        */
        Weld weld = new Weld();
        weld.addExtension(new MyExtension());
        WeldContainer container = weld.initialize();
        Instance<Object> instance = container.instance();
        Main main = instance.select(Main.class).get();
        System.out.printf("Created Main: %s\n", main);
        weld.shutdown();
    }
}
